POST
Mint a single-use connection ticket (deprecated alias of tickets)

Authorizations

x-api-key
string
header
required

Headers

x-bma-project-id
string

Project scope. Required when the API key can access more than one project (alias: anthropic-workspace-id).

Idempotency-Key
string

Replays the first result of a create; the same key with another body is 409.

Required string length: 1 - 255

Path Parameters

terminal_session_id
string
required

Body

application/json
ttl_seconds
integer<int32>
Required range: 15 <= x <= 120

Response

Success.

type
string
required
Allowed value: "terminal_connection_ticket"
id
string
required

Connection ticket ID (tkt_...).

Pattern: ^tkt_[a-z2-7]{26}$
ticket
string
required
purpose
enum<string>
required
Available options:
terminal_connect,
desktop_watch
expires_at
string<date-time>
required
ws_url
string
required
subprotocol
string
required
permissions
string[]
required